## org.eclipse.m2m.atl.debug.core
Class AtlSourceLocator

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.AtlSourceLocator

All Implemented Interfaces:
  org.eclipse.debug.core.model.ISourceLocator

    public class AtlSourceLocator

extends java.lang.Object
implements org.eclipse.debug.core.model.ISourceLocator

The ATL source locator.

Constructor Summary
`AtlSourceLocator()`

Method Summary
`java.lang.Object` `getSourceElement(org.eclipse.debug.core.model.IStackFrame stackFrame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlSourceLocator

    public AtlSourceLocator()

Method Detail

### getSourceElement

    public java.lang.Object getSourceElement(org.eclipse.debug.core.model.IStackFrame stackFrame)

  Specified by:
    `getSourceElement` in interface `org.eclipse.debug.core.model.ISourceLocator`
  See Also:
    `ISourceLocator.getSourceElement(org.eclipse.debug.core.model.IStackFrame)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.